pub mod json;
pub mod tap;
pub mod junit;

pub(crate) trait PlanFormatter {
    fn serialize(&self, plan: &crate::ReportPlan) -> Result<(), ()>;
}

pub(crate) trait PlanFormatterBuilder<W>
where
    W: std::io::Write,
//    S: PlanFormatter,
{
    type Target;
    fn from_writer(&self, w: W) -> Self::Target;
}
